.line-products {
    display: block;  
}

.line-products__item {
    padding: 0;
    background-color: transparent;
    border: 1px solid #ced4da;
    text-align: center;
    display: inline-block;
    margin-bottom: .6875rem;
    margin-right: .6875rem;
    vertical-align: middle;
}

.line-products__item a {
    text-decoration: none;
    font-size: 15px;
    font-weight: 500;
    color: #495057;
    padding: 2px .4583333333rem;
    background-color: #fff;
    display: flex;
}

.line-products__item--active {
    border: 1px solid black;
}

.line-products__item--out-of-stock {
    pointer-events: none;
}

.line-products__item--out-of-stock::before {
    background-color: #000!important;
    height: 2px;
}